font.c File Reference

## Functions

MFont * | mfont ()
| Create a new font. More...
MFont * | mfont_parse_name (const char *name, MSymbol format)
| Create a font by parsing a fontname. More...
char * | mfont_unparse_name (MFont *font, MSymbol format)
| Create a fontname from a font. More...
MFont * | mfont_copy (MFont *font)
| Make a copy of a font. More...
void * | mfont_get_prop (MFont *font, MSymbol key)
| Get a property value of a font. More...
int | mfont_put_prop (MFont *font, MSymbol key, void *val)
| Put a property value to a font. More...
MSymbol * | mfont_selection_priority ()
| Return the font selection priority. More...
int | mfont_set_selection_priority (MSymbol *keys)
| Set the font selection priority. More...
MFont * | mfont_find (MFrame *frame, MFont *spec, int *score, int max_size)
| Find a font. More...
int | mfont_set_encoding (MFont *font, MSymbol encoding_name, MSymbol repertory_name)
| Set encoding of a font. More...
char * | mfont_name (MFont *font)
| Create a fontname from a font. More...
MFont * | mfont_from_name (const char *name)
| Create a new font from fontname. More...
int | mfont_resize_ratio (MFont *font)
| Get resize information of a font. More...
MPlist * | mfont_list (MFrame *frame, MFont *font, MSymbol language, int maxnum)
| Get a list of fonts. More...
MPlist * | mfont_list_family_names (MFrame *frame)
| Get a list of font famiy names. More...
int | mfont_check (MFrame *frame, MFontset *fontset, MSymbol script, MSymbol language, MFont *font)
| Check the usability of a font. More...
int | mfont_match_p (MFont *font, MFont *spec)
| Check is a font matches with a font spec. More...
MFont * | mfont_open (MFrame *frame, MFont *font)
| Open a font. More...
MFont * | mfont_encapsulate (MFrame *frame, MSymbol data_type, void *data)
| Encapusulate a font. More...
int | mfont_close (MFont *font)
| Close a font. More...
MFont * | mdebug_dump_font (MFont *font)
| Dump a font. More...

## Variables

MPlist * | mfont_freetype_path
| List of font files and directories that contain font files. More...
Variables: Keys of font property.
MSymbol | Mfoundry
| Key of font property specifying foundry. More...
MSymbol | Mfamily
| Key of font property specifying family. More...
MSymbol | Mweight
| Key of font property specifying weight. More...
MSymbol | Mstyle
| Key of font property specifying style. More...
MSymbol | Mstretch
| Key of font property specifying stretch. More...
MSymbol | Madstyle
| Key of font property specifying additional style. More...
MSymbol | Mspacing
| Key of font property specifying spacing. More...
MSymbol | Mregistry
| Key of font property specifying registry. More...
MSymbol | Msize
| Key of font property specifying size. More...
MSymbol | Motf
| Key of font property specifying file name. More...
MSymbol | Mfontfile
| Key of font property specifying file name. More...
MSymbol | Mresolution
| Key of font property specifying resolution. More...
MSymbol | Mmax_advance
| Key of font property specifying max advance width. More...
MSymbol | Mfontconfig
| Symbol of name "fontconfig". More...
MSymbol | Mx
| Symbol of name "x". More...
MSymbol | Mfreetype
| Symbol of name "freetype". More...
MSymbol | Mxft
| Symbol of name "xft". More...

## Function Documentation

## mdebug_dump_font()

MFont* mdebug_dump_font | ( | MFont * | font | ) |

Dump a font.

The mdebug_dump_font() function prints font font in a human readable way to the stderr or to what specified by the environment variable MDEBUG_OUTPUT_FILE.

Return value:
  This function returns font.